
## **Models/Examples**

BigDL provides plenty of Python models and examples ready for re-use. Some are listed blow. See all in [python models](https://github.com/intel-analytics/BigDL/tree/master/pyspark/bigdl/models/).

   * [LeNet](https://github.com/intel-analytics/BigDL/tree/master/pyspark/bigdl/models/lenet): it demonstrates how to use BigDL Python APIs to train and evaluate the [LeNet-5](http://yann.lecun.com/exdb/lenet/) network on MNIST data.
   * [Text Classifier](https://github.com/intel-analytics/BigDL/tree/master/pyspark/bigdl/models/textclassifier):  it demonstrates how to use BigDL Python APIs to build a text classifier using a simple [convolutional neural network (CNN) model(https://blog.keras.io/using-pre-trained-word-embeddings-in-a-keras-model.html)] or a simple LSTM/GRU model.
   * [Jupyter Notebook Tutorial](https://github.com/intel-analytics/BigDL/blob/branch-0.1/pyspark/example/tutorial/simple_text_classification/text_classfication.ipynb): it contains a tutorial for using BigDL Python APIs in Jupyter notebooks (together with TensorBoard support) for interactive data explorations and visualizations.

---
## **Tutorial Notebooks**
 [BigDL Tutorials Notebooks](https://github.com/intel-analytics/BigDL-Tutorials) - A series of notebooks that step-by- step introduce you how to do data science on Apache Spark and BigDL framework

